%define gitname	MageiaSync
%define oname	mageiaSync

Name:		mageiasync
Version:	0.3.4
Release:	%mkrel 1
Summary:	A frontend to rsync for Mageia usage
License:	GPLv3
Group:		Development/Python
URL:		http://gitweb.mageia.org/qa/MageiaSync/about/
Source0:	http://gitweb.mageia.org/qa/MageiaSync/snapshot/%{gitname}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python3-setuptools
BuildRequires:	python-qt5-devel
BuildRequires:	qttools5

Requires:	python3-qt5
Requires:	python3-gnupg
Requires:	python3-sip
Requires:	rsync

Obsoletes:	python-mageiasync < 0.1.7-2
Provides:	python-mageiasync = %{version}-%{release}

%description
A tool for downloading ISO images from repository (mirror) or Mageia
testing repository. It uses rsync at main. Its aim is to be a tool
like dorsync with GUI.


%prep
%setup -q -n %{gitname}-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --root=%{buildroot} --skip-build

%files
%doc CHANGELOG LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{python3_sitelib}/%{oname}
%{python3_sitelib}/%{name}-%{version}-py%{py3ver}.egg-info


%changelog
* Sun Dec 18 2016 daviddavid <daviddavid> 0.3.4-1.mga5
+ Revision: 1076024
- new version: 0.3.4
- new version: 0.3.3
- fix a typo in description
- new version: 0.3.2
- new version: 0.3.0
- add python3-gnupg as a requires
- new version: 0.2.1 (fixes mga#17996)
- obsoletes and provides old name on python-mageiasync
- rename package to mageiasync instead of python-mageiasync
- new version: 0.1.7 (fixes mga#17267)
- now switches to python 3

* Sat May 02 2015 daviddavid <daviddavid> 0.1.5-1.mga5
+ Revision: 821025
- new version: 0.1.5
  * http://gitweb.mageia.org/qa/MageiaSync/plain/CHANGELOG

* Sun Mar 01 2015 daviddavid <daviddavid> 0.1.4-1.mga5
+ Revision: 817220
- new version: 0.1.4

* Sat Feb 21 2015 daviddavid <daviddavid> 0.1.3-1.mga5
+ Revision: 816218
- new version: 0.1.3
- improve description
- update file list
- update Url and Source Url
- update BuildRequires

* Tue Dec 02 2014 akien <akien> 0.1.2-1.mga5
+ Revision: 800413
- Version 0.1.2

* Sun Oct 26 2014 daviddavid <daviddavid> 0.1.1-1.mga5
+ Revision: 793511
- new version: 0.1.1

* Tue Oct 21 2014 daviddavid <daviddavid> 0.1-1.mga5
+ Revision: 792335
- imported package python-mageiasync

